textures/phenix_trek/planet
{
    qer_editorimage env/starbase_rpg/planet_ft.tga
    q3map_lightimage textures/starbase_rpg/planet_ft.tga
    q3map_surfacelight 200
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 1 1 1 100 315 30
    skyParms env/starbase_rpg/planet 126 -
}

textures/phenix_trek/whitelight
{
    q3map_lightimage textures/phenix_trek/whitelight.tga
    q3map_surfacelight 2000
    surfaceparm nolightmap
    {
        map textures/phenix_trek/whitelight.tga
	rgbGen identity
    }
}

textures/phenix_trek/whitelight_flash 
{ 
    qer_editorimage textures/phenix_trek/whitelight.tga 
    { 
        map $lightmap 
    } 
    { 
        map textures/phenix_trek/whitelight.tga 
        blendFunc GL_DST_COLOR GL_ZERO 
    } 
    { 
        map textures/phenix_trek/whitelight.tga 
        blendFunc GL_ONE GL_ONE 
        rgbGen wave random 0 0.5 0 1 
    }  
}

textures/phenix_detials/coreoff
{
    surfaceparm nolightmap
    {
        map textures/phenix_detials/coreoff.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/phenix_trek/phenix_wall_1701e
{
    surfaceparm nolightmap
    {
        map textures/phenix_trek/phenix_wall_1701e.jpg
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/phenix_detials/core1
{
        q3map_surfacelight 612
    	surfaceparm nolightmap
    {
        map textures/phenix_detials/core1.tga
        tcMod scale 0.20 0.20 
	tcMod rotate -12 
    }
    {
        map textures/borg/patterne.tga
        blendFunc GL_DST_COLOR GL_ONE
	tcMod scale 0.22 0.05 
	tcMod rotate 10  
    }
    {
        map textures/borg/patterne.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.05 0.35 
	tcMod rotate 15 
    }
    {
        map textures/phenix_detials/pulse1.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 0.25 0.25
        tcMod scroll -0.5 -1.2
    }
}

textures/phenix_detials/core2
{
        q3map_surfacelight 612
    	surfaceparm nolightmap
    {
        map textures/phenix_detials/core2.tga
        tcMod scale 0.20 0.20 
	tcMod rotate -12 
    }
    {
        map textures/phenix_detials/energy.tga
        blendFunc GL_DST_COLOR GL_ONE
	tcMod scale 0.22 0.05 
	tcMod rotate 10  
    }
    {
        map textures/phenix_detials/energy.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.05 0.35 
	tcMod rotate 15 
    }
    {
        map textures/phenix_detials/redenergy.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 0.25 0.25
        tcMod scroll -0.5 -1.2
    }
}


textures/phenix_lcars/display
{
    qer_editorimage textures/phenix_lcars/display.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 5 textures/phenix_lcars/display_a.jpg textures/phenix_lcars/display_b.jpg textures/phenix_lcars/display.jpg
        blendFunc GL_ONE GL_ONE
    }
}

textures/phenix_lcars/engineering1
{
    qer_editorimage textures/phenix_lcars/lcars1.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 6 textures/phenix_lcars/lcars1_a.jpg textures/phenix_lcars/lcars1_b.jpg textures/phenix_lcars/lcars1_c.jpg textures/phenix_lcars/lcars1.jpg 
        blendFunc GL_ONE GL_ONE
    }
}

textures/phenix_lcars/memory
{
    qer_editorimage textures/phenix_lcars/memory.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 4 textures/phenix_lcars/memory.jpg textures/phenix_lcars/memory_a.jpg textures/phenix_lcars/memory_b.jpg textures/phenix_lcars/memory_c.jpg
        blendFunc GL_ONE GL_ONE
    }
}

textures/phenix_lcars/starbaselcar
{ 
    qer_editorimage textures/phenix_lcars/starbaselcar.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    { 
        map textures/phenix_lcars/starbaselcar.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/phenix_lcars/starbaselcar2
{ 
    qer_editorimage textures/phenix_lcars/starbaselcar2.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    { 
        map textures/phenix_lcars/starbaselcar2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/phenix_lcars/system1
{
    surfaceparm nolightmap
    {
        map textures/phenix_lcars/system1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/phenix_lcars/system1.jpg textures/phenix_lcars/system1_a.jpg textures/phenix_lcars/system1_b.jpg
        blendFunc GL_ONE GL_ONE
    }
}

textures/phenix_lcars/lcars15
{
    surfaceparm nolightmap
    {
        map textures/phenix_lcars/lcars15.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/phenix_lcars/tactical
{
    surfaceparm nolightmap
    {
        map textures/phenix_lcars/tactical.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
   }
   {
        animMap 1 textures/phenix_lcars/tactical.jpg textures/phenix_lcars/tactical_a.jpg textures/phenix_lcars/tactical_b.jpg textures/phenix_lcars/tactical_c.jpg
        blendFunc GL_ONE GL_ONE
    }
}

textures/phenix_lcars/panel
{
    surfaceparm nolightmap
    {
        map textures/phenix_lcars/panel.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
      }
    {
        animMap 1 textures/phenix_lcars/panel.jpg textures/phenix_lcars/panel_a.jpg textures/phenix_lcars/panel_b.jpg textures/phenix_lcars/panel_c.jpg 
        blendFunc GL_ONE GL_ONE
    }
}

textures/phenix_lcars/panel2
{
    surfaceparm nolightmap
    {
        map textures/phenix_lcars/panel2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 1 textures/phenix_lcars/panel2.jpg textures/phenix_lcars/panel2_a.jpg
        blendFunc GL_ONE GL_ONE
    }
}

textures/phenix_lcars/lift_rules
{
    surfaceparm nolightmap
    {
        map textures/phenix_lcars/lift_rules.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/phenix_lcars/deck_1
{
    surfaceparm nolightmap
    {
        map textures/phenix_lcars/deck_1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/phenix_lcars/deck_2
{
    surfaceparm nolightmap
    {
        map textures/phenix_lcars/deck_2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/phenix_lcars/deck_3
{
    surfaceparm nolightmap
    {
        map textures/phenix_lcars/deck_3.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}